Loading...
Searching...
No Matches
casacore::TaQLSortNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a sort list. More...

`#include <TaQLNodeDer.h>`

## Public Types

enum | Type { Ascending , Descending }
| Do not change the values of this enum, as objects might be persistent. More...

## Public Member Functions

| TaQLSortNodeRep (Bool unique, Type type, const TaQLMultiNode &keys)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

Bool | itsUnique
Type | itsType
TaQLMultiNode | itsKeys

## Detailed Description

Raw TaQL parse tree node defining a sort list.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a sort list and the default order for each individual sort key.

Definition at line 607 of file TaQLNodeDer.h.

## Member Enumeration Documentation

## Type

enum casacore::TaQLSortNodeRep::Type

Do not change the values of this enum, as objects might be persistent.

Enumerator
Ascending |
Descending |

Definition at line 611 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLSortNodeRep()

casacore::TaQLSortNodeRep::TaQLSortNodeRep | ( | Bool | unique,
|  | Type | type,
|  | const TaQLMultiNode & | keys )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLSortNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLSortNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLSortNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLSortNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsKeys

TaQLMultiNode casacore::TaQLSortNodeRep::itsKeys

Definition at line 621 of file TaQLNodeDer.h.

## itsType

Type casacore::TaQLSortNodeRep::itsType

Definition at line 620 of file TaQLNodeDer.h.

## itsUnique

Bool casacore::TaQLSortNodeRep::itsUnique

Definition at line 619 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h